"""
Defines ``FIPS_TO_STATE`` and ``OFFICE_NAMES`` look-up constants.
"""

FIPS_TO_STATE = {
    "CT": {
        "FAIRFIELD":"09001",
        "HARTFORD":"09003",
        "LITCHFIELD":"09005",
        "MIDDLESEX":"09007",
        "NEW HAVEN":"09009",
        "NEW LONDON":"09011",
        "TOLLAND":"09013",
        "WINDHAM":"09015"
    },
    "ME": {
        "ANDROSCOGGIN":"23001",
        "AROOSTOOK":"23003",
        "CUMBERLAND":"23005",
        "FRANKLIN":"23007",
        "HANCOCK":"23009",
        "KENNEBEC":"23011",
        "KNOX":"23013",
        "LINCOLN":"23015",
        "OXFORD":"23017",
        "PENOBSCOT":"23019",
        "PISCATAQUIS":"23021",
        "SAGADAHOC":"23023",
        "SOMERSET":"23025",
        "WALDO":"23027",
        "WASHINGTON":"23029",
        "YORK":"23031"
    },
    "MT": {
        "BARNSTABLE":"25001",
        "BERKSHIRE":"25003",
        "BRISTOL":"25005",
        "DUKES":"25007",
        "ESSEX":"25009",
        "FRANKLIN":"25011",
        "HAMPDEN":"25013",
        "HAMPSHIRE":"25015",
        "MIDDLESEX":"25017",
        "NANTUCKET":"25019",
        "NORFOLK":"25021",
        "PLYMOUTH":"25023",
        "SUFFOLK":"25025",
        "WORCESTER":"25027"
    },
    "NH": {
        "BELKNAP":"33001",
        "CARROLL":"33003",
        "CHESHIRE":"33005",
        "COOS":"33007",
        "GRAFTON":"33009",
        "HILLSBOROUGH":"33011",
        "MERRIMACK":"33013",
        "ROCKINGHAM":"33015",
        "STRAFFORD":"33017",
        "SULLIVAN":"33019"
    },
    "RH": {
        "BRISTOL":"44001",
        "KENT":"44003",
        "NEWPORT":"44005",
        "PROVIDENCE":"44007",
        "WASHINGTON":"44009"
    },
    "VT": {
        "ADDISON":"50001",
        "BENNINGTON":"50003",
        "CALEDONIA":"50005",
        "CHITTENDEN":"50007",
        "ESSEX":"50009",
        "FRANKLIN":"50011",
        "GRAND ISLE":"50013",
        "LAMOILLE":"50015",
        "ORANGE":"50017",
        "ORLEANS":"50019",
        "RUTLAND":"50021",
        "WASHINGTON":"50023",
        "WINDHAM":"50025",
        "WINDSOR":"50027"
    }

}

OFFICE_NAMES = {"A":"Attorney General","C":"Controller or Comptroller","D":"District Attorney","E":"Education Commissioner or Supt Public Instruction","J":"Insurance Commissioner","L":"Lieutenant Governor","M":"Mayor","N":"City Council","R":"Secretary of State","T":"Treasurer","G":"Governor","H":"U.S. House","I":"Amendment, Ballot Measure, Initiative, Proposal, Proposition, Referendum or Question","P":"President","S":"U.S. Senate","Y":"State House, State Assembly, General Assembly or House of Delegates","Z":"State Senate"}

PARTY_VALUES = {"ACP":"A CONNECTICUT PARTY","AFP":"AMERICAN FREEDOM (FORMERLY ATP)","AGN":"AGAINST","AHP":"AMERICAN HERITAGE","AIP":"AMERICAN INDEPENDENT","AKI":"ALASKAN INDEPENDENCE","AMC":"AMERICAN CONSTITUTION","AME":"AMERICANS ELECT","AMF":"AMERICA FIRST","AMI":"AMERICAN INDIAN","AMP":"AMERICA'S PARTY","AMR":"AMERICAN PARTY","AMS":"AMERICANS","AO":"ALL OTHERS","ATP":"AMERICAN THIRD POSITION (NOW AFP)","BEP":"BLUE ENIGMA PARTY","BLD":"BUILDERS PARTY","BOT":"Boston Tea","BUC":"BUCHANAN REFORM","CAM":"CONSTITUTIONAL AMERICANS","CC":"CONCERNED CITIZENS","CEN":"CENTRIST PARTY","CF":"CITIZENS FIRST","CIP":"CONNECTICUT INDEPENDENT PARTY","CM":"COOL MOOSE","CMT":"COMMUNIST","CNL":"CONSTITUTIONAL GOVERNMENT","CNP":"CONCERNS OF PEOPLE","CON":"CONSERVATIVE","CRK":"POLITICIANS ARE CROOKS","CST":"CONSTITUTION","CTL":"CT FOR LIEBERMAN","DAS":"DESCENDANTS OF AMERICAN SLAVES","DCG":"DC STATEHOOD GREEN","DEM":"DEMOCRAT","EFP":"EARTH FEDERATION","EPF":"ECOLOGY PARTY OF FL","FAA":"FAIR","FDL":"FAIR DEAL","FEP":"FREE ENERGY","FOR":"FOR","FRE":"FREEDOM","FRU":"FRIENDS UNITED","FSB":"FARMERS & SMALL BUSINESS","FSO":"FREEDOM SOCIALIST","FVP":"FAMILY VALUES PARTY","GNW":"GREENS NO TO WAR","GOP":"REPUBLICAN","GRN":"GREEN","GRP":"GRASS ROOTS","HCP":"HEALTHCARE PARTY","HP":"HOME PROTECTION","HQ8":"Heartquake '08","IAP":"INDEPENDENT AMERICAN","IF":"INDEPENDENT FUSION","IG":"INDEPENDENT GRASSROOTS","IGR":"INDEPENDENT GREEN","ILS":"ILLINOIS SOLIDARITY","IND":"INDEPENDENT","INP":"INDEPENDENCE","INR":"INDEPENDENT REFORM","INT":"INTEGRITY PARTY","IP":"INDEPENDENT PARTY","IPD":"INDEPENDENT PARTY OF DE","IPH":"INDEPENDENT PARTY OF HAWAII","ISC":"INDEPENDENT SAVE OUR CHILDREN","IX":"ILLINOIS GREEN","JP":"JUSTICE PARTY","JS":"JESUS PARTY","LBL":"LIBERAL","LBP":"LOOKING BACK","LEC":"LIBERTY,COLOGY,OMMUNITY","LFM":"LABOR AND FARM","LIB":"LIBERTARIAN","LMJ":"LEGALIZE MARIJUANA","LTP":"LOUISIANA TAXPAYERS PARTY","LUN":"LIBERTY UNION","LUP":"LIBERTY UNION/PROGRESSIVE","MDE":"MODERATE DEMOCRAT","MIP":"MARYLAND INDEPENDENT PARTY","MJP":"MARIJUANA PARTY","MML":"MAKE MARIJUANA LEGAL","MNT":"MOUNTAIN PARTY","MOD":"MODERATE","MRP":"MARIJUANA REFORM","NAL":"NEW ALLIANCE","NEB":"NEBRASKA","NEW":"NEW","NLP":"NATURAL LAW","NMI":"NEW MEXICO INDEPENDENT PARTY","NNT":"NO NEW TAXES","NO":"NO","NON":"NONE OF THE ABOVE","NP":"NON PARTISAN","NPA":"NO PARTY AFFILIATION","NPD":"NO PARTY DESIGNATION","OBJ":"Objectivist","ONE":"ONE EARTH","OTE":"128 DISTRICT","OTH":"OTHER","PAC":"PACIFIC","PAG":"PACIFIC GREEN","PAT":"PATRIOT PARTY","PCF":"Pacifist","PCH":"PERSONAL CHOICE","PEC":"PETITIONING CANDIDATE","PFP":"PEACE & FREEDOM","PIP":"PUERTO RICAN INDEPENDENCE (PR)","PJP":"PEACE AND JUSTICE PARTY","PLC":"PRO-LIFE CONSERVATIVE","PLP":"PROGRESSIVE LABOR PARTY","PNP":"NEW PROGRESSIVE (PUERTO RICO)","POP":"POPULIST","PPD":"POPULAR DEMOCRATIC (PUERTO RICO)","PPO":"PEACE PARTY OF OREGON","PRG":"PROGRESSIVE","PRO":"PROHIBITION","PRT":"PRESERVE OUR TOWN","PSL":"SOCIALISM & LIBERATION","PTC":"PROPERTY TAX CUT","PWF":"PROTECT WORKING FAMILIES","RES":"RESOURCE","RFC":"RANDOLPH FOR CONGRESS","RJF":"RESTORE JUSTICE-FREEDOM","RM":"REFORM MINNESOTA","RP":"REFORM","RPM":"REPUBLICAN MODERATE","RTL":"RIGHT TO LIFE","SCC":"SCHOOL CHOICE","SCL":"Socialism","SEP":"SOCIALIST EQUALITY","SM":"SAVE MEDICARE","SOC":"SOCIALIST","SPU":"SOCIALIST USA","Sta":"STATEHOOD PARTY","SWP":"SOCIALIST WORKERS","TBD":"TO BE DETERMINED","TBL":"THE BETTER LIFE","TCN":"TAX CUTS NOW","TEA":"TEA PARTY","TLM":"TERM LIMITS","TS":"TIMESIZING.COM PARTY","UCZ":"UNITED CITIZENS","UNA":"UNAFFILIATED","UNI":"UNITED INDEPENDENT","UNP":"UNITED PACIFISTS","UNR":"UNENROLLED","UNT":"UNITED PARTY","UST":"U.S. TAXPAYERS","UTY":"UNITY","VET":"VETERANS PARTY OF AMERICA","WCP":"WORKING CLASS","WF":"WORKING FAMILIES","WLG":"WORKER'S LEAGUE","WRI":"WRITE - IN","WSN":"WEST SIDE NEIGHBORS","WTP":"WE THE PEOPLE","WW":"WORKERS WORLD","WYC":"WYOMING COUNTRY PARTY","YES":"YES"}
